> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /california/companies

> Get full California business entity details from the Secretary of State bizfile registry by entity number: name, entity type, status, SOS/FTB/agent/VCFCF standings, jurisdiction of formation, initial filing date, inactive date, Statement of Information due date, principal and mailing addresses and registered agent with its authorized employees.

**Price:** 1 credit

**⚠️ Common errors:** 412: No California business entity exists with this entity number



## OpenAPI

````yaml /openapi/company-registries.json post /api/california/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/california/companies:
    post:
      tags:
        - US
      summary: /california/companies
      description: >-
        Get full California business entity details from the Secretary of State
        bizfile registry by entity number: name, entity type, status,
        SOS/FTB/agent/VCFCF standings, jurisdiction of formation, initial filing
        date, inactive date, Statement of Information due date, principal and
        mailing addresses and registered agent with its authorized employees.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No California business entity exists with
        this entity number
      operationId: __api_california_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CaliforniaCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CaliforniaCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CaliforniaCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        file_number:
          type: string
          minLength: 1
      type: object
      required:
        - file_number
    CaliforniaCompany:
      properties:
        '@type':
          type: string
          default: CaliforniaCompany
        file_number:
          type: string
        internal_id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        foreign_name:
          anyOf:
            - type: string
            - type: 'null'
        entity_subtype:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        standing_sos:
          anyOf:
            - type: string
            - type: 'null'
        standing_ftb:
          anyOf:
            - type: string
            - type: 'null'
        standing_agent:
          anyOf:
            - type: string
            - type: 'null'
        standing_vcfcf:
          anyOf:
            - type: string
            - type: 'null'
        formed_in:
          anyOf:
            - type: string
            - type: 'null'
        initial_filing_date:
          anyOf:
            - type: string
            - type: 'null'
        inactive_date:
          anyOf:
            - type: string
            - type: 'null'
        statement_of_info_due_date:
          anyOf:
            - type: string
            - type: 'null'
        principal_address:
          anyOf:
            - $ref: '#/components/schemas/CaliforniaAddress'
            - type: 'null'
        mailing_address:
          anyOf:
            - $ref: '#/components/schemas/CaliforniaAddress'
            - type: 'null'
        registered_agent:
          anyOf:
            - $ref: '#/components/schemas/CaliforniaRegisteredAgent'
            - type: 'null'
        is_publicly_traded:
          type: boolean
          default: false
        can_file_statement_of_info:
          type: boolean
          default: false
        can_reinstate:
          type: boolean
          default: false
      type: object
      required:
        - file_number
        - internal_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CaliforniaAddress:
      properties:
        '@type':
          type: string
          default: CaliforniaAddress
        street:
          anyOf:
            - type: string
            - type: 'null'
        locality:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CaliforniaRegisteredAgent:
      properties:
        '@type':
          type: string
          default: CaliforniaRegisteredAgent
        name:
          anyOf:
            - type: string
            - type: 'null'
        agent_type:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        employees:
          items:
            $ref: '#/components/schemas/CaliforniaAgentEmployee'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    CaliforniaAgentEmployee:
      properties:
        '@type':
          type: string
          default: CaliforniaAgentEmployee
        name:
          type: string
        address:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````